=== debian/changelog ===
wrk2mid-dmo (1.1.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Dec 2021 15:06:28 +0100
