=== debian/control ===
Source: wrk2mid-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://sourceforge.net/projects/wrk2mid/
Rules-Requires-Root: no
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, pandoc,
 libdrumstick-dev (>= 1:2.5.0~)

Package: wrk2mid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cakewalk to standard MIDI files translator
 A command line utility for translating WRK (Cakewalk) files into MID
 (standard MIDI files) based on Drumstick.
