=== debian/watch ===
version=4

http://sf.net/wrk2mid/ wrk2mid-(.*)@ARCHIVE_EXT@
