## wrk2mid-dmo 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #[[
     Cakewalk to Standard MIDI Files Command Line Utility Translator
-    Copyright (C) 2021, Pedro Lopez-Cabanillas <plcl@users.sf.net>
+    Copyright (C) 2021-2023, Pedro Lopez-Cabanillas <plcl@users.sf.net>
 
     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -16,51 +16,39 @@
     along with this program. If not, see <http://www.gnu.org/licenses/>.
 #]]
 
-cmake_minimum_required(VERSION 3.14)
+cmake_minimum_required(VERSION 3.16)
 
 project(wrk2mid
   LANGUAGES CXX
-  VERSION 1.1.0
+  VERSION 1.2.0
   DESCRIPTION "Command line utility for translating WRK (Cakewalk) files into MID (standard MIDI files)"
-  HOMEPAGE_URL "https://sourceforge.net/p/wrk2mid/"
+  HOMEPAGE_URL "https://wrk2mid.sourceforge.io"
 )
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
-set(PROJECT_RELEASE_DATE "December 10, 2021")
+set(PROJECT_RELEASE_DATE "December 26, 2023")
 option(BUILD_DOCS "Process Markdown sources of man pages and help files" ON)
-option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")
+option(USE_QT5 "Prefer building with Qt5 instead of Qt6" OFF)
 
-if (USE_QT)
-    if (NOT (USE_QT EQUAL 5 OR USE_QT EQUAL 6))
-        message(FATAL_ERROR "Wrong Qt major version. Only 5 and 6 are valid options")
-    endif()
+if (USE_QT5)
+    find_package(QT NAMES Qt5 REQUIRED)
+    find_package(Qt5 5.15 COMPONENTS Core REQUIRED)
+    unset(CORE5COMPAT_LIB)
+else()
+    find_package(QT NAMES Qt6 REQUIRED)
+    find_package(Qt6 6.2 COMPONENTS Core Core5Compat  REQUIRED)
+    get_target_property(CORE5COMPAT_LIB Qt6::Core5Compat IMPORTED_LOCATION)
 endif()
 
-if (USE_QT EQUAL 5)
-    find_package(QT NAMES Qt5)
-elseif (USE_QT EQUAL 6)
-    find_package(QT NAMES Qt6)
-else()
-    find_package(QT NAMES Qt5 Qt6)
-endif()
-
-find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
-find_package(Drumstick 2.5.0 COMPONENTS File REQUIRED)
-
-if(QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
-    find_package(Qt6 COMPONENTS Core5Compat REQUIRED)
-    get_target_property(CORE5COMPAT_LIB Qt6::Core5Compat IMPORTED_LOCATION)
-else()
-    unset(CORE5COMPAT_LIB)
-endif()
+find_package(Drumstick 2.9 COMPONENTS File REQUIRED)
 
 message (STATUS "Cakewalk to Standard MIDI File Translator v${PROJECT_VERSION}
      install prefix: ${CMAKE_INSTALL_PREFIX}
@@ -109,9 +97,9 @@
             DESTINATION ${CMAKE_INSTALL_DATADIR}/applications/
             RENAME net.sourceforge.${PROJECT_NAME}.desktop)
 
-    install(FILES ${PROJECT_NAME}.appdata.xml
+    install(FILES ${PROJECT_NAME}.metainfo.xml
             DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo/
-            RENAME net.sourceforge.${PROJECT_NAME}.appdata.xml)
+            RENAME net.sourceforge.${PROJECT_NAME}.metainfo.xml)
 
     configure_file(wrktest.in wrktest.sh IMMEDIATE @ONLY)
 endif()
@@ -152,10 +140,17 @@
         set ( CMAKE_INSTALL_SYSTEM_RUNTIME_DESTINATION "." )
         set ( CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS
             ${CMAKE_CURRENT_BINARY_DIR}/Qt${QT_VERSION_MAJOR}Core.dll
+            ${CMAKE_CURRENT_BINARY_DIR}/libdrumstick-file.dll
             ${CMAKE_CURRENT_BINARY_DIR}/libgcc_s_seh-1.dll
             ${CMAKE_CURRENT_BINARY_DIR}/libstdc++-6.dll
             ${CMAKE_CURRENT_BINARY_DIR}/libwinpthread-1.dll
-            ${CMAKE_CURRENT_BINARY_DIR}/libdrumstick-file.dll
+            ${CMAKE_CURRENT_BINARY_DIR}/libdouble-conversion.dll
+            ${CMAKE_CURRENT_BINARY_DIR}/libicudt74.dll
+            ${CMAKE_CURRENT_BINARY_DIR}/libicuin74.dll
+            ${CMAKE_CURRENT_BINARY_DIR}/libicuuc74.dll
+            ${CMAKE_CURRENT_BINARY_DIR}/libpcre2-16-0.dll
+            ${CMAKE_CURRENT_BINARY_DIR}/libzstd.dll
+            ${CMAKE_CURRENT_BINARY_DIR}/zlib1.dll
             ${CORE5COMPAT_LIB}
         )
     endif()
