=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://sourceforge.net/projects/wrk2mid/
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, pandoc,
- libdrumstick-dev (>= 1:2.5.0~)
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, ninja-build,
+ libdrumstick-dev (>= 1:2.5.0~), qt6-base-dev, qt6-5compat-dev
 
 Package: wrk2mid
 Architecture: any
