=== debian/watch ===
version=4

https://sf.net/wrk2mid/ wrk2mid-@ANY_VERSION@@ARCHIVE_EXT@
